LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::sdbcx::Privilege Constant Group Referencepublished

defines a list of flags (bitmaps) which determines the access rights of a user or a user group. More...

## Variables
const long | SELECT = 0x00000001
| indicates that a user is allowed to read the data. More...
const long | INSERT = 0x00000002
| indicates that a user is allowed to insert new data. More...
const long | UPDATE = 0x00000004
| indicates that a user is allowed to update data. More...
const long | DELETE = 0x00000008
| indicates that a user is allowed to delete data. More...
const long | READ = 0x00000010
| indicates that a user is allowed to read the structure of a definition object. More...
const long | CREATE = 0x00000020
| indicates that a user is allowed to create a definition object. More...
const long | ALTER = 0x00000040
| indicates that a user is allowed to alter an existing object. More...
const long | REFERENCE = 0x00000080
| indicates that a user is allowed to set foreign keys for a table. More...
const long | DROP = 0x00000100
| indicates that a user is allowed to drop a definition object. More...

## Detailed Description

defines a list of flags (bitmaps) which determines the access rights of a user or a user group.

This list may grow in the future.

## Variable Documentation

## ◆ ALTER

const long ALTER = 0x00000040

indicates that a user is allowed to alter an existing object.

## ◆ CREATE

const long CREATE = 0x00000020

indicates that a user is allowed to create a definition object.

## ◆ DELETE

const long DELETE = 0x00000008

indicates that a user is allowed to delete data.

## ◆ DROP

const long DROP = 0x00000100

indicates that a user is allowed to drop a definition object.

## ◆ INSERT

const long INSERT = 0x00000002

indicates that a user is allowed to insert new data.

## ◆ READ

const long READ = 0x00000010

indicates that a user is allowed to read the structure of a definition object.

## ◆ REFERENCE

const long REFERENCE = 0x00000080

indicates that a user is allowed to set foreign keys for a table.

## ◆ SELECT

const long SELECT = 0x00000001

indicates that a user is allowed to read the data.

## ◆ UPDATE

const long UPDATE = 0x00000004

indicates that a user is allowed to update data.